org.eclipse.graphiti.ui.internal.command

## Class ContextEntryCommand

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.command.ContextEntryCommand

    public class ContextEntryCommand
    extends org.eclipse.gef.commands.Command

### Constructor Summary

Constructors
Constructor and Description
`ContextEntryCommand(IContextEntry contextEntry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`
`IContextEntry` `getContextEntry()`
`java.lang.String` `getLabel()`

### Methods inherited from class org.eclipse.gef.commands.Command

`canExecute, canRedo, canUndo, chain, dispose, getDebugLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextEntryCommand

    public ContextEntryCommand(IContextEntry contextEntry)

### Method Detail

#### execute

    public void execute()

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

#### getContextEntry

    public IContextEntry getContextEntry()

#### getLabel

    public java.lang.String getLabel()

Overrides:
  `getLabel` in class `org.eclipse.gef.commands.Command`